/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Account.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Account class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Account implements java.io.Serializable
{
    private String userID;
    private Date lastUpdate;
    private float initialCash;
    private float availableCash;
    private float marginRate;
    private float marginLoan;
    private float interestRate;
    private float accruedInterest;
    private float cashBalance;


    /** User constructor
     *
     */
    public Account()
    {
        this.userID = null;
        this.lastUpdate = null;
        this.initialCash = 50000F;
        this.availableCash = 50000F;
        this.marginRate = 0.1F;
        this.marginLoan = 0F;
        this.interestRate = 0.15F;
        this.accruedInterest = 0F;
        this.cashBalance = 50000F;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }

    public float getInitialCash()
    {
        return this.initialCash;
    }

    public void setInitialCash(float initialCash)
    {
        this.initialCash = initialCash;
    }

    public float getAvailableCash()
    {
        return this.availableCash;
    }

    public void setAvailableCash(float availableCash)
    {
        this.availableCash = availableCash;
    }

    public float getMarginRate()
    {
        return this.marginRate;
    }
 
    public void setMarginRate(float marginRate)
    {
        this.marginRate = marginRate;
    }

    public float getMarginLoan()
    {
        return this.marginLoan;
    }

    public void setMarginLoan(float marginLoan)
    {
        this.marginLoan = marginLoan;
    }

    public float getInterestRate()
    {
        return this.interestRate;
    }

    public void setInterestRate(float interestRate)
    {
        this.interestRate = interestRate;
    }

    public float getAccruedInterest()
    {
        return this.accruedInterest;
    }

    public void setAccruedInterest(float accruedInterest)
    {
        this.accruedInterest = accruedInterest;
    }

    public float getCashBalance()
    {
        return this.cashBalance;
    }

    public void setCashBalance(float cashBalance)
    {
        this.cashBalance = cashBalance;
    }
}