/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Company.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Company class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Company implements java.io.Serializable
{
    private String symbol;
    private Date companyLastUpdate;
    private String isin;
    private double nominalValue;
    private long noOfShares;
    private String companyName;
    private String fiscalCode;
    private String registryCode;
    private String addressDetail;
    private String locality;
    private String district;
    private String country;
    private String phone;
    private String fax;
    private String web;
    private String email;
    private String president;
    private String caen;
    private String caenDescription;
    private String caenRev2;
    private String caenRev2Description;
    private String segment;
    private String tier;
    private String balanceType;
    private String status;

    public Company()
    {
      this.symbol = null;
      this.companyLastUpdate = null;
      this.isin = null;
      this.nominalValue = 0;
      this.noOfShares = 0;
      this.companyName = null;
      this.fiscalCode = null;
      this.registryCode = null;
      this.addressDetail = null;
      this.locality = null;
      this.district = null;
      this.country = null;
      this.phone = null;
      this.fax = null;
      this.web = null;
      this.email = null;
      this.president = null;
      this.caen = null;
      this.caenDescription = null;
      this.caenRev2 = null;
      this.caenRev2Description = null;
      this.segment = null;
      this.tier = null;
      this.balanceType = null;
      this.status = null;
    }

    public String getSymbol() {
        return this.symbol;
    }

    public void setSymbol(String symbol) {
        this.symbol = symbol;
    }

    public Date getCompanyLastUpdate() {
        return this.companyLastUpdate;
    }

    public void setCompanyLastUpdate(Date companyLastUpdate) {
        this.companyLastUpdate = companyLastUpdate;
    }
    
    public String getISIN() {
        return isin;
    }

    public void setISIN(String isin) {
        this.isin = isin;
    }

    public double getNominalValue() {
        return nominalValue;
    }

    public void setNominalValue(double nominalValue) {
        this.nominalValue = nominalValue;
    }

    public long getNoOfShares() {
        return noOfShares;
    }

    public void setNoOfShares(long  noOfShares) {
        this.noOfShares = noOfShares;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getFiscalCode() {
        return fiscalCode;
    }

    public void setFiscalCode(String fiscalCode) {
        this.fiscalCode = fiscalCode;
    }

    public String getRegistryCode() {
        return registryCode;
    }

    public void setRegistryCode(String registryCode) {
        this.registryCode = registryCode;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getLocality() {
        return locality;
    }

    public void setLocality(String locality) {
        this.locality = locality;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getFax() {
        return fax;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public String getWeb() {
        return web;
    }

    public void setWeb(String web) {
        this.web = web;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPresident() {
        return president;
    }

    public void setPresident(String president) {
        this.president = president;
    }

    public String getCaen() {
        return caen;
    }

    public void setCaen(String caen) {
        this.caen = caen;
    }

    public String getCaenDescription() {
        return caenDescription;
    }

    public void setCaenDescription(String caenDescription) {
        this.caenDescription = caenDescription;
    }

    public String getCaenRev2() {
        return caenRev2;
    }

    public void setCaenRev2(String caenRev2) {
        this.caenRev2 = caenRev2;
    }

    public String getCaenRev2Description() {
        return caenRev2Description;
    }

    public void setCaenRev2Description(String caenRev2Description) {
        this.caenRev2Description = caenRev2Description;
    }

    public String getSegment() {
        return segment;
    }

    public void setSegment(String segment) {
        this.segment = segment;
    }

    public String getTier() {
        return tier;
    }

    public void setTier(String tier) {
        this.tier = tier;
    }

    public String getBalanceType() {
        return balanceType;
    }

    public void setBalanceType(String balanceType) {
        this.balanceType = balanceType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
    