/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   CompanyList.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements CompanyList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class CompanyList implements java.io.Serializable
{
  private ArrayDeque<Company> companyList = null;

    public CompanyList()
    {
        companyList = new ArrayDeque<Company>();
    }

    public void addCompany(Company company)
    {
        this.companyList.offerLast(company);
    }

    public Company getCompany()
    {
        Company localCompany = null;

        if (!companyList.isEmpty())
        {
            localCompany= companyList.pollFirst();
        }

        return localCompany;
    }

    public ArrayDeque<Company> getCompanyList()
    {
        return this.companyList;
    }
}
