/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   DailyIndex.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements DailyIndex class for ASETS project
 */

package asets.api;

import java.util.Date;


public class DailyIndex implements java.io.Serializable
{
    private String code;
    private Date indexLastUpdate;
    private double openValue;
    private double currentValue;
    private double lowValue;
    private double highValue;
    private double netChange;
    private double prcChange;

    public DailyIndex()
    {
      this.code = null;
      this.indexLastUpdate = null;
      this.openValue = 0F;
      this.currentValue = 0F;
      this.lowValue = 0F;
      this.highValue = 0F;
      this.netChange = 0F;
      this.prcChange = 0F;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Date getIndexLastUpdate() {
        return indexLastUpdate;
    }

    public void setIndexLastUpdate(Date indexLastUpdate) {
        this.indexLastUpdate = indexLastUpdate;
    }

    public double getOpenValue() {
        return openValue;
    }

    public void setOpenValue(double openValue) {
        this.openValue = openValue;
    }

    public double getCurrentValue() {
        return currentValue;
    }

    public void setCurrentValue(double currentValue) {
        this.currentValue = currentValue;
    }

    public double getLowValue() {
        return lowValue;
    }

    public void setLowValue(double lowValue) {
        this.lowValue = lowValue;
    }

    public double getHighValue() {
        return highValue;
    }

    public void setHighValue(double highValue) {
        this.highValue = highValue;
    }

    public double getNetChange() {
        return netChange;
    }

    public void setNetChange(double netChange) {
        this.netChange = netChange;
    }

    public double getPrcChange() {
        return prcChange;
    }

    public void setPrcChange(double prcChange) {
        this.prcChange = prcChange;
    }
}
