/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   DailyIndexList.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements DailyIndexList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class DailyIndexList implements java.io.Serializable 
{
    private ArrayDeque<DailyIndex> dailyIndexList = null;

    
    public DailyIndexList()
    {
        this.dailyIndexList = new ArrayDeque<DailyIndex>();
    }

    public void addDailyIndex(DailyIndex dailyIndex)
    {
        this.dailyIndexList.offerLast(dailyIndex);
    }

    public DailyIndex getDailyIndex()
    {
        DailyIndex localDailyIndex = null;

        if (!dailyIndexList.isEmpty())
        {
            localDailyIndex= dailyIndexList.pollFirst();
        }

        return localDailyIndex;
    }

    public ArrayDeque<DailyIndex> getDailyIndexList()
    {
        return this.dailyIndexList;
    }
}
