/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   DailyStatistic.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements DailyStatistic class for ASETS project
 */

package asets.api;

import java.util.Date;


public class DailyStatistic implements  java.io.Serializable
{
    private Date lastSession;
    private String marketCode;
    private long volume;
    private float value;
    private float valueUSD;
    private float valueEUR;
    private long trades;

    public DailyStatistic()
    {
        this.lastSession = null;
        this.marketCode = null;
        this.volume = 0;
        this.value = 0F;
        this.valueUSD = 0F;
        this.valueEUR = 0F;
        this.trades = 0;

    }
    
    public Date getLastSession()
    {
        return this.lastSession;
    }
    
    public void setLastSession(Date lastSession)
    {
        this.lastSession = lastSession;
    }

    public String getMarketCode()
    {
        return this.marketCode;
    }
    
    public void setMarketCode(String marketCode)
    {
        this.marketCode = marketCode;
    }

    public long  getVolume()
    {
        return this.volume;
    }
    
    public void setVolume(long volume)
    {
        this.volume = volume;
    }
    
    public float getValue()
    {
        return this.value;
    }
    
    public void setValue(float value)
    {
        this.value = value;
    }
    
    public float getValueUSD()
    {
        return this.valueUSD;
    }
    
    public void setValueUSD(float valueUSD)
    {
        this.valueUSD = valueUSD;
    }

    public float getValueEUR()
    {
        return this.valueEUR;
    }
    
    public void setValueEUR(float valueEUR)
    {
        this.valueEUR = valueEUR;
    }

    public long  getTrades()
    {
        return this.trades;
    }
    
    public void setTrades(long trades)
    {
        this.trades = trades;
    }
}
