/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   DailyStatisticList.java
 * Created:     December 10, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements DailyStatisticList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class DailyStatisticList implements java.io.Serializable 
{
    private ArrayDeque<DailyStatistic> dailyStatisticList = null;

    public DailyStatisticList()
    {
        dailyStatisticList = new ArrayDeque<DailyStatistic>();
    }

    public void addDailyStatistic(DailyStatistic dailyStatistic)
    {
        this.dailyStatisticList.offerLast(dailyStatistic);
    }

    public DailyStatistic getDailyStatistic()
    {
        DailyStatistic localDailyStatistic = null;

        if (!dailyStatisticList.isEmpty())
        {
            localDailyStatistic= dailyStatisticList.pollFirst();
        }

        return localDailyStatistic;
    }

    public ArrayDeque<DailyStatistic> getDailyStatisticList()
    {
        return this.dailyStatisticList;
    }
}
