/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Execution.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Execution class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Execution implements java.io.Serializable
{
    private String execID;
    private String userID;
    private Date execTime;
    private String orderID;
    private String symbol;
    private Enums.Side execSide;
    private float execPrice;
    private long execQuant;

    /** Execution constructor
     *
     */
    public Execution()
    {
        this.execID = null;
        this.userID = null;
        this.execTime = null;
        this.orderID = null;
        this.symbol = null;
        this.execSide = null;
        this.execPrice = 0;
        this.execQuant = 0;
    }

    public String getExecID()
    {
        return this.execID;
    }

    public void setExecID(String execID)
    {
        this.execID = execID;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Date getExecTime()
    {
        return this.execTime;
    }

    public void setExecTime(Date execTime)
    {
        this.execTime = execTime;
    }


    public String getOrderID()
    {
        return this.orderID;
    }

    public void setOrderID(String orderID)
    {
        this.orderID = orderID;
    }

    public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public Enums.Side getExecSide()
    {
        return this.execSide;
    }

    public void setExecSide(Enums.Side execSide)
    {
        this.execSide = execSide;
    }

    public float getExecPrice()
    {
        return this.execPrice;
    }

    public void setExecPrice(float execPrice)
    {
        this.execPrice = execPrice;
    }

    public long getExecQuant()
    {
        return this.execQuant;
    }

    public void setExecQuant(long execQuant)
    {
        this.execQuant = execQuant;
    }
}