/**
 * Title:       Execution durable topic subscriber for ASETS project (ASE Trading System)
 * ClassName:   ExecutionDurableSubscriber.java
 * Created:     January 28, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Execution durable topic subscriber within OpenMQ broker,
 * by extending AbstractDurableTopicSubscriber class
 */

package asets.api;

import javax.jms.*;


public class ExecutionDurableSubscriber extends AbstractDurableTopicSubscriber
{
    public ExecutionDurableSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Receive messages from Execution topic
    public void onMessage(Message message)
    {
        try
        {
            if (message instanceof ObjectMessage)
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.EXECUTION.toString()))
                {
                    ObjectMessage objectMessage = (ObjectMessage)message;
                    processExecution((Execution)objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void processExecution(Execution execution) throws Exception
    {

        // TO DO in the derived class

    }
}