/**
 * Title:       Execution topic publisher for ASETS project (ASE Trading System)
 * ClassName:   ExecutionPublisher.java
 * Created:     November 24, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Execution topic publisher within OpenMQ broker, by extending AbstractTopicPublisher class
 */

package asets.api;

import javax.jms.*;


public class ExecutionPublisher extends AbstractTopicPublisher
{
    public ExecutionPublisher(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Create and publish an Execution message
    public void publishExecution(Execution execution) throws JMSException
    {
        ObjectMessage message = this.getSession().createObjectMessage();
        message.setObject(execution);

        message.setStringProperty("MSG_TYPE", Enums.MessageType.EXECUTION.toString());
        message.setStringProperty("USER_ID", execution.getUserID());

        // TO DO in the derived class
        
        this.getPublisher().publish(message);
    }
}

