/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   InstrumentList.java
 * Created:     January 9, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements InstrumentList class for ASETS project
 */

package asets.api;

import java.util.TreeMap;
import java.util.SortedMap;


public class InstrumentList implements java.io.Serializable
{
    private SortedMap<String, Instrument> instrumentList = null;

    /** InstrumentList constructor
     *
     */
    public InstrumentList()
    {
        instrumentList = new TreeMap<String, Instrument>();
    }

    public void addInstrument(Instrument instrument)
    {
        this.instrumentList.put(instrument.getSymbol(), instrument);
    }

    public void deleteInstrument(Instrument instrument)
    {
        this.instrumentList.remove(instrument.getSymbol());
    }
    
    public Instrument getInstrument(String symbol)
    {
        Instrument localInstrument = null;

        if (!instrumentList.isEmpty())
        {
            localInstrument = instrumentList.get(symbol);
        }

        return localInstrument;
    }

    public SortedMap<String, Instrument> getInstrumentList()
    {
        return this.instrumentList;
    }
}
