/**
 * Title:       LogOut queue sender for ASETS project (ASE Trading System)
 * ClassName:   LogOutSenderNoReply.java
 * Created:     December 17, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements a LogOut queue sender, within OpenMQ broker, by extending AbstractQueueSenderNoReply class
 */

package asets.api;

import javax.jms.*;


public class LogOutSenderNoReply extends AbstractQueueSenderNoReply
{
    public LogOutSenderNoReply(String imqAddress, String queueName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, queueName, userID);
    }

    // Create and send a LogOut message
    public void sendLogOut(Control control) throws JMSException
    {
        // Construct Control request message
        // control.setControlType(Enums.ControlType.LOG_OUT_REQUEST);
        // control.setRequestText("password");

        ObjectMessage message = this.getSession().createObjectMessage();
        message.setObject(control);

        message.setStringProperty("MSG_TYPE", Enums.MessageType.CONTROL.toString());
        message.setStringProperty("CTRL_TYPE", Enums.ControlType.LOG_OUT_REQUEST.toString());
        message.setStringProperty("USER_ID", this.getUserID());

        // TO DO in the derived class

        this.getSender().send(message);
    }
}

