/**
 * Title:       Order topic publisher for ASETS project (ASE Trading System)
 * ClassName:   OrderPublisher.java
 * Created:     November 24, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Order topic publisher within OpenMQ broker, by extending AbstractTopicPublisher class
 */

package asets.api;

import javax.jms.*;


public class OrderPublisher extends AbstractTopicPublisher
{
    public OrderPublisher(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Create and publish an Order message
    public void publishOrder(Order order) throws JMSException
    {
        ObjectMessage message = this.getSession().createObjectMessage();
        message.setObject(order);

        message.setStringProperty("MSG_TYPE", Enums.MessageType.ORDER.toString());
        message.setStringProperty("USER_ID", order.getOrderID());

        // TO DO in the derived class

        this.getPublisher().publish(message);
    }
}

