/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   PriceList.java
 * Created:     January 5, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements PriceList class for ASETS project
 */

package asets.api;

import java.util.SortedMap;
import java.util.TreeMap;


public class PriceList implements java.io.Serializable
{
    private static final long serialVersionUID = 1L;
    private SortedMap<String, Price> priceList = null;

    /** PriceList constructor
     *
     */
    public PriceList()
    {
        priceList = new TreeMap<String, Price>();
    }
    
    public void addPrice(Price price)
    {
    	this.priceList.put(price.getSymbol(), price);
    }

    public void deletePrice(Price price)
    {
        this.priceList.remove(price.getSymbol());
    }
    
    public Price getPrice(String symbol)
    {
        Price localPrice = null;

        if (!priceList.isEmpty())
        {
            localPrice = priceList.get(symbol);
        }

        return localPrice;
    }

    public SortedMap<String, Price> getPriceList()
    {
        return this.priceList;
    }
}