/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   PriceRange.java
 * Created:     April 16, 2012
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements PriceRange class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class PriceRange implements java.io.Serializable
{
    private ArrayDeque<Price> priceRange = null;

    /** PriceRange constructor
     *
     */
    public PriceRange()
    {
        priceRange = new ArrayDeque<Price>();
    }

    public void addPrice(Price price)
    {
        this.priceRange.offerLast(price);
    }

    public Price getPrice()
    {
        Price localPrice = null;
        
        if (!priceRange.isEmpty())
        {
            localPrice = priceRange.pollFirst();
        }

        return localPrice;
    }

    public ArrayDeque<Price> getPriceRange()
    {
        return this.priceRange;
    }
}
