/**
 * Title:       Price topic subscriber for ASETS project (ASE Trading System)
 * ClassName:   PriceSubscriber.java
 * Created:     January 5, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Price topic subscriber within OpenMQ broker, by extending AbstractTopicSubscriber class
 */

package asets.api;

import javax.jms.*;


public class PriceSubscriber extends AbstractTopicSubscriber
{
    public PriceSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Receive messages from Price topic
    public void onMessage(Message message)
    {
        try
        {
            if (message instanceof ObjectMessage)
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.PRICE.toString()) &&
                    message.getStringProperty("USER_ID").equals("DDF"))
                {
                    ObjectMessage objectMessage = (ObjectMessage)message;
                    processPrice((Price)objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void processPrice(Price price) throws Exception
    {

        // TO DO in the derived class

    }
}