/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   TradeList.java
 * Created:     December 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements TradeList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class TradeList implements java.io.Serializable
{
    private ArrayDeque<Trade> tradeList = null;

    /** TradeList constructor
     *
     */
    public TradeList()
    {
        tradeList = new ArrayDeque<Trade>();
    }

    public void addTrade(Trade trade)
    {
        this.tradeList.offerLast(trade);
    }

    public Trade getTrade()
    {
        Trade localTrade = null;

        if (!tradeList.isEmpty())
        {
            localTrade = tradeList.pollFirst();
        }

        return localTrade;
    }

    public ArrayDeque<Trade> getTradeList()
    {
        return this.tradeList;
    }
}
