/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   UserList.java
 * Created:     January 28, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements UserList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class UserList implements java.io.Serializable
{
    private ArrayDeque<User> userList = null;

    /** UserList constructor
     *
     */
    public UserList()
    {
        userList = new ArrayDeque<User>();
    }

    public void addUser(User user)
    {
        this.userList.offerLast(user);
    }

    public User getUser()
    {
        User localUser = null;

        if (!userList.isEmpty())
        {
            localUser = userList.pollFirst();
        }

        return localUser;
    }

    public ArrayDeque<User> getUserList()
    {
        return this.userList;
    }
}

