/**
 * Title:       BVBTrade durable topic subscriber for ASETS project (ASE Trading System)
 * ClassName:   BVBTradeDurableSubscriber.java
 * Created:     May 5, 2012
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements a BVBTrade durable topic subscriber within OpenMQ broker,
 * by extending AbstractDurableTopicSubscriber class
 */

package asets.api.collateral;

import asets.api.AbstractDurableTopicSubscriber;
import asets.api.Enums;
import javax.jms.*;


public class BVBTradeDurableSubscriber extends AbstractDurableTopicSubscriber
{
    public BVBTradeDurableSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Receive messages from BVBTrade topic
    public void onMessage(Message message)
    {
        try
        {
            if (message instanceof ObjectMessage)
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.BVB_TRADE.toString())
                // the following line could be more appropriate in a derived class
                        && message.getStringProperty("USER_ID").equals("DTF"))
                {
                    ObjectMessage objectMessage = (ObjectMessage)message;
                    processBVBTrade((BVBTrade)objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void processBVBTrade(BVBTrade bvbTrade) throws Exception
    {

        // TO DO in the derived class

    }
}