/**
 * Title:       Trade topic publisher for ASETS project (ASE Trading System)
 * ClassName:   BVBTradePublisher.java
 * Created:     March 10, 2012
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements trade topic publisher within OpenMQ broker, by extending AbstractTopicPublisher class
 */

package asets.api.collateral;

import asets.api.AbstractTopicPublisher;
import asets.api.Enums;
import javax.jms.*;


public class BVBTradePublisher extends AbstractTopicPublisher {
	public BVBTradePublisher(String imqAddress, String topicName, String userID)
			throws JMSException, Exception {
		super(imqAddress, topicName, userID);
	}

	// Create and publish an BVBTrade message
	public void publishTrade(BVBTrade bvbTrade) throws JMSException {
		ObjectMessage message = this.getSession().createObjectMessage();
		message.setObject(bvbTrade);

		message.setStringProperty("MSG_TYPE", Enums.MessageType.BVB_TRADE.toString());
		message.setStringProperty("USER_ID", this.getUserID());

		// TO DO in the derived class

		this.getPublisher().publish(message);
	}
}
