/**
 * Title:       BVBTrade range of values for ASETS API (ASE Trading System API)
 * ClassName:   BVBTradeRange.java
 * Created:     May 5, 2012
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements BVBTradeRange class for ASETS project
 */

package asets.api.collateral;

import java.util.ArrayDeque;


public class BVBTradeRange implements java.io.Serializable
{
    private ArrayDeque<BVBTrade> bvbTradeRange = null;

    /** BVBTradeRange constructor
     *
     */
    public BVBTradeRange()
    {
        bvbTradeRange = new ArrayDeque<BVBTrade>();
    }

    public void addBVBTrade(BVBTrade bvbTrade)
    {
        this.bvbTradeRange.offerLast(bvbTrade);
    }

    public BVBTrade getBVBTrade()
    {
        BVBTrade localBVBTrade = null;
        
        if (!bvbTradeRange.isEmpty())
        {
            localBVBTrade = bvbTradeRange.pollFirst();
        }

        return localBVBTrade;
    }

    public ArrayDeque<BVBTrade> getBVBTradeRange()
    {
        return this.bvbTradeRange;
    }
}
