/**
 * Title:       Trade topic subscriber for ASETS project (ASE Trading System)
 * ClassName:   BVBTradeSubscriber.java
 * Created:     March 10, 2012
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an BVB Trade topic subscriber within OpenMQ broker, by extending AbstractTopicSubscriber class
 */

package asets.api.collateral;

import asets.api.AbstractTopicSubscriber;
import asets.api.Enums;
import javax.jms.*;


public class BVBTradeSubscriber extends AbstractTopicSubscriber
{
    public BVBTradeSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception 
    {
        super(imqAddress, topicName, userID);
    }

    // Receive messages from Price topic
    public void onMessage(Message message)
    {
        try {
            if (message instanceof ObjectMessage) 
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.BVB_TRADE.toString())
                // the following line could be more appropriate in a derived class    
                        && message.getStringProperty("USER_ID").equals("DTF"))
                {
                    ObjectMessage objectMessage = (ObjectMessage) message;
                    processTrade((BVBTrade) objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
                e.printStackTrace();
        } catch (Exception e) {
                e.printStackTrace();
        }
    }

    protected void processTrade(BVBTrade bvbTrade) throws Exception
    {

            // TO DO in the derived class

    }
}